Subject: Re: linux-next: build failure after merge of the usb-gadget tree

From: Felipe Balbi <[email-masked]>
Date: Tue, 30 Jul 2013 08:49:33 +0300

Hi,

On Tue, Jul 30, 2013 at 02:34:27PM +1000, Stephen Rothwell wrote:
> Hi Felipe,
> 
> After merging the usb-gadget tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/usb/phy/of.c:32:24: error: redefinition of 'of_usb_get_phy_mode'
>  enum usb_phy_interface of_usb_get_phy_mode(struct device_node *np)
>                         ^
> In file included from drivers/usb/phy/of.c:13:0:
> include/linux/usb/of.h:33:38: note: previous definition of 'of_usb_get_phy_mode' was here
>  static inline enum usb_phy_interface of_usb_get_phy_mode(struct device_node *np)
>                                       ^
> 
> Caused by commit 052a11d13bde ("usb: phy: make PHY driver selection
> possible by controller drivers").  The static inline declaration in
> include/linux/usb/of.h is exposed if at least one of CONFIG_OF or
> CONFIG_USB_PHY is not set, but drivers/usb/phy/of.c is now built if
> CONFIG_OF and CONFIG_USB_SUPPORT is set (it used to require
> CONFIG_USB_PHY to be set - see drivers/usb/Makefile).  This build has
> CONFIG_OF set but CONFIG_USB_PHY not set.
> 
> I have used the usb-gadget tree from next-20130729 for today.

looks like I didn't get that in my randconfigs, I'll go fix that up

Thanks

-- 
balbi